unbound: local_zone Struct Reference

unbound 0.1

Data Fields
local_zone Struct Reference

Local zone. More...

`#include <localzone.h>`

## Data Fields
rbnode_type | node
| rbtree node, key is name and class
struct local_zone * | parent
| parent zone, if any.
uint8_t * | name
| zone name, in uncompressed wireformat
size_t | namelen
| length of zone name
int | namelabs
| number of labels in zone name
uint16_t | dclass
| the class of this zone.
lock_rw_type | lock
| lock on the data in the structure For the node, parent, name, namelen, namelabs, dclass, you need to also hold the zones_tree lock to change them (or to delete this zone)
enum localzone_type | type
| how to process zone
uint8_t * | taglist
| tag bitlist
size_t | taglen
| length of the taglist (in bytes)
struct rbtree_type * | override_tree
| netblock addr_tree with struct local_zone_override information or NULL if there are no override elements
struct regional * | region
| in this region the zone's data is allocated.
rbtree_type | data
| local data for this zone rbtree of struct local_data
struct ub_packed_rrset_key * | soa
| if data contains zone apex SOA data, this is a ptr to it.
struct ub_packed_rrset_key * | soa_negative
| if data contains zone apex SOA data, this is a ptr to an artificial negative SOA rrset (TTL is the minimum of the TTL and the SOA.MINIMUM).

## Detailed Description

Local zone.

A locally served authoritative zone.

## Field Documentation

## ◆ dclass

uint16_t local_zone::dclass

the class of this zone.

uses 'dclass' to not conflict with c++ keyword class.

Referenced by get_rr_nameclass(), local_zone_cmp(), local_zone_create(), local_zones_add_zone(), local_zones_find(), local_zones_find_le(), local_zones_lookup(), local_zones_tags_lookup(), lz_enter_rr_into_zone(), lz_enter_zone(), lz_exists(), lz_setup_implicit(), rrstr_get_rr_content(), and set_kiddo_parents().

## ◆ region

struct regional* local_zone::region

in this region the zone's data is allocated.

the struct local_zone itself is malloced.

Referenced by local_zone_create(), local_zone_delete(), local_zone_enter_rr(), local_zone_get_mem(), lz_enter_override(), and lz_find_create_node().

The documentation for this struct was generated from the following file:

- services/localzone.h